<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><% LIN_PRODUCT_NAME %></title>
<meta http-equiv="X-UA-Compatible" content="IE=9,8,7,6,5" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="expires" content="-1">
<link rel="stylesheet" href="/template.css" type="text/css">
<script language=javascript src="/java/js.js"></script>
<script language="JavaScript">
<!--
var isIE = /*@cc_on!@*/false;
var secs;
var timerID=null;
var delay=1000;
var http_request;
var xmlDoc;
var xmlNode;
var serverNoResponseCount=0;
var shutdownType = new Array('<span id="#15">Shutdown</span>', '<span id="#16">Power Off</span>', '<span id="#17">Hibernate</span>');
var eventType = new Array('<span id="@menus#28">System</span>', '<span id="@menus#29-2">Information</span>', '<span id="@menus#30">Warning</span>', '<span id="@menus#31">Severity</span>');
var healthType = new Array('<span id="@menus#32">Normal</span>', '<span id="@menus#32">Normal</span>', '<span id="@menus#30">Warning</span>', '<span id="@menus#31">Severity</span>');
var imgSrc=new Array("/images/l_normal.gif","/images/l_normal.gif","/images/l_warning.gif","/images/l_critical.gif");
var val_countdown = -1;
var val_cancelshutdown = 0;
function getType(ary,index,inc)
{
	return ary[index].replace(/#(\d+)-*/,"#$1-"+inc)
}

function pad(number, length) {
    var str = '' + number;
    while (str.length < length)
        str = '0' + str;
    return str;
}

function InitializeTimer()
{
	// Set the length of the timer, in seconds
	secs=0;
	RunTheTimer();
}

function RunTheTimer()
{
	if (val_countdown < 0) {
		document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_normal";
		document.getElementById('SUM_OS_COUNTDOWN').innerHTML = "--:--";
	}
	else {
		if (serverNoResponseCount <= 3) {	// Network connect
			if (0 == val_cancelshutdown) {
				val_countdown--;
			}
			if (val_countdown < 60) {
				document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_critical";
				document.getElementById('SUM_OS_COUNTDOWN').innerHTML = "00:" + pad(val_countdown, 2);
			}
			else if (val_countdown < 120) {
				document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_warning";
				document.getElementById('SUM_OS_COUNTDOWN').innerHTML = pad(Math.floor(val_countdown / 60), 2) + ":" + pad(val_countdown % 60, 2);
			}
			else {
				document.getElementById('SUM_COUNTDOWN_CLASS').className="countdown_normal";
				document.getElementById('SUM_OS_COUNTDOWN').innerHTML = pad(Math.floor(val_countdown / 60), 2) + ":" + pad(val_countdown % 60, 2);
			}
		}
	}
	if(secs==0) {
		secs = <% WEB_REFRESH %>;
		if(serverNoResponseCount>3) {
			UpdateXMLValue(); // Display unknown
		}
		serverNoResponseCount++; // Increase no response counter
		MakeXMLRequest();
	}
	self.status=secs;
	secs=secs-1;
	timerID=self.setTimeout("RunTheTimer()",delay);
}

function MakeXMLRequest()
{
    if(window.XMLHttpRequest) // IE7, Chrome
    	http_request=new XMLHttpRequest();
    else if(window.ActiveXObject) { // IE
    	try {
        	// New IE
        	http_request=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    	catch(e) {
        	try {
        		// IE6, IE5
        		http_request=new ActiveXObject("Microsoft.XMLHTTP");
        	}
        	catch(e) {}
    	}
    }
    if(!http_request) {
        alert('Cannot create an XML instance');
        return false;
    }
    http_request.onreadystatechange=function() {HandleRxXML();}; // Set callback function
    http_request.open('GET','index.xml',true);
	// IE need to add the following header or it always gets the catched index.xml and the values are always the same
	http_request.setRequestHeader("If-Modified-Since","Sat, 1 Jan 2000 00:00:00 GMT");
	d = new Date();
	t = d.getTime();
	thetimestring=t.toString(10);
	http_request.send(thetimestring);
}

function HandleRxXML() {
    if (http_request.readyState == 4) {
        if (http_request.status == 200) {
			UpdateXMLValue();
			serverNoResponseCount=0; // Clear no response counter
		}
    }
}

function UpdateXMLValue()
{
    if(serverNoResponseCount>3) {
		document.getElementById('NET_DISCONNECT').innerHTML=getdivc("#20","Network: Disconnect");
    }
    else {
	    if(isIE) { // IE
		 	try {
				xmlDoc = new ActiveXObject("MSxml2.DOMDocument");
			}
			catch(e) {
				try {
					xmlDoc = new ActiveXObject("Microsoft.xmldom");
				}
    	    	catch(e) {}
			}
			xmlDoc.loadXML(http_request.responseText)
    	}
	    else { // Chrome
    		xmlDoc=http_request.responseXML;
    	}
		document.getElementById('NET_DISCONNECT').innerHTML="";

		document.getElementById('SYS_TIME').innerHTML = xmlDoc.getElementsByTagName('SYS_TIME')[0].childNodes[0].nodeValue;
		val_temp = xmlDoc.getElementsByTagName('SUM_SHUT_TYPE')[0].childNodes[0].nodeValue;
		if (val_temp >= 0 && val_temp < 3) {
			document.getElementById('SUM_SHUT_TYPE').innerHTML = shutdownType[val_temp];
		}
		else {
			document.getElementById('SUM_SHUT_TYPE').innerHTML = '';
		}
		val_countdown = xmlDoc.getElementsByTagName('SUM_OS_COUNTDOWN')[0].childNodes[0].nodeValue;
		val_cancelshutdown = xmlDoc.getElementsByTagName('SUM_OS_CANCEL')[0].childNodes[0].nodeValue;
		ListNum = xmlDoc.getElementsByTagName('SUM_SOURCE_NUM')[0].childNodes[0].nodeValue;
		if (ListNum > 0) {
			val_temp = xmlDoc.getElementsByTagName('CFG_SRC_LOGICAL')[0].childNodes[0].nodeValue;
			if (val_temp == 0) {
				line_tmp = "<center><b><span id='@dev_config#18'>Purpose</span>:</b> <span id='@dev_config#19'>For Redundant (Logical OR)</span></center>";
			}
			else {
				line_tmp = "<span id='@dev_config#18'>Purpose</span>: <span id='@dev_config#20'>For Parallel (Logical AND)</span><br>";
			}
			line_tmp += "<table width=650 border=0 cellspacing=1 cellpadding=10 class=mtab3>" +
						"<tr><td class=mtabth2>&nbsp;</td><th><span id='#7'>Source IP</span></th><th><span id='#8'>UPS Health</span></th><th><span id='#9'>Current Event</span></th></tr>";
			for (i = 0; i < ListNum; i++) {
				val_ip = xmlDoc.getElementsByTagName('SUM_SOURCE_IP')[i].childNodes[0].nodeValue;
				val_sts = xmlDoc.getElementsByTagName('SUM_SOURCE_STS')[i].childNodes[0].nodeValue;
				val_evt = xmlDoc.getElementsByTagName('SUM_SOURCE_EVT')[i].childNodes[0].nodeValue;
				if (val_evt == -1) {
					val_evt = "";
				}
				line_tmp += '<tr><td>' + (i + 1) + '</td><td>' + val_ip + '</td><td><img border=0 src=' + imgSrc[val_sts] + '> ' + getType(healthType,val_sts,i) + '</td><td>' + val_evt + '</td></tr>';
			}
			document.getElementById('SUM_SOURCE_LIST').innerHTML = line_tmp + "</table>";
		}
		ListNum = xmlDoc.getElementsByTagName('SUM_SLOG_NUM')[0].childNodes[0].nodeValue;
		if (ListNum > 0) {
			line_tmp = "<table width=650 border=0 cellspacing=1 cellpadding=10  class=mtab>" +
						"<tr><td style='border-bottom:1px #999 solid;'>&nbsp;</td><th><span id='#7-1'>Source IP</span></th><th><span id='#11'>Date/Time</span></th><th><span id='#12'>Event Level</span></th><th><span id='#13'>Event Description</span></th></tr>";
			for (i = 0; i < ListNum; i++) {
				val_time = xmlDoc.getElementsByTagName('SUM_SLOG_TIME')[i].childNodes[0].nodeValue;
				val_ip = xmlDoc.getElementsByTagName('SUM_SLOG_IP')[i].childNodes[0].nodeValue;
				val_level = xmlDoc.getElementsByTagName('SUM_SLOG_LEVEL')[i].childNodes[0].nodeValue;
				val_event = xmlDoc.getElementsByTagName('SUM_SLOG_EVENT')[i].childNodes[0].nodeValue;

				if (i % 2 == 0) {
					line_tmp += '<tr bgcolor=#eeeeee>'
				}
				else {
					line_tmp += '<tr>'
				}
				line_tmp += '<td class=bold>' + (i + 1) + '</td><td class=bold>' + val_ip + '</td><td nowrap>' + val_time + '</td>';
				if (val_level == 1) {
					line_tmp += '<td class="normal">' + getType(eventType,1,i) + '</td>' + '<td class="normal" align="left">' + val_event + '</td>';
				}
				else if (val_level == 2) {
					line_tmp += '<td class="warning">' + getType(eventType,2,i) + '</td>' + '<td class="warning" align="left">' + val_event + '</td>';
				}
				else if (val_level == 3) {
					line_tmp += '<td class="critical">' + getType(eventType,3,i) + '</td>' + '<td class="critical" align="left">' + val_event + '</td>';
				}
				else {
					line_tmp += '<td class="bold">' + getType(eventType,0,i) + '</td>' + '<td class="bold" align="left">' + val_event + '</td>';
				}
				line_tmp += '</tr>';
			}
			document.getElementById('SUM_SLOG_LIST').innerHTML = line_tmp + "</table>";
		}
		if((enableML)&&(currectLang != defaultLang))chgLangByDoc(indexs, document, 0)
	}
}
--></script>
</head>
<body leftmargin="1" topmargin="8" style="display:none" onLoad="loadjs('/java/langs.js');setTimeout('pageload();InitializeTimer();',50)">
<!-- Top Menu & Left Menu Start -->
<table width=941 border=0 height=100% cellspacing=0 cellpadding=0 align=center id=tab0>
<tr><td colspan=3 id=topblk valign=top><div id=topblkdiv></div></td></tr>
<tr><td colspan=3 id=topmenu1><span id=topmenu1div></span></td></tr>
<tr><td colspan=3 class=topmenusgap><img src="/images/sp.gif" width=941 height=2></td></tr>
<tr><td colspan=3 class=topmenu2 valign=top><span id=topmenu2div></span></td></tr>
<tr><td width="170" valign=top id=td0><div class=menunavdiv id=leftmenudiv></div></td>
<td id=td1><img src=/images/sp.gif width=13 height=1></td>
<td id=td2>
<div style="display:none">
<div id=currlang><% LIN_LANG %></div>
<div id=home_url><a href='<% LIN_INDEX_ASP %>'><span id="@menus#0">Home</span></a></div>
<div id=logout_url><a href='/logout.asp' class='nav' target='_top'><span id="@menus#1">Logout</span></a></div>
<div id=sys_times><% SYS_TIME %></div>
</div>
<!-- Top Menu & Left Menu End -->
<h4 id=page_title></h4>
<!-- Form Start -->
<FORM NAME="index" ACTION="/delta/index" METHOD=post>
<table>
<tr><td colspan=2 class="critical"><span id=NET_DISCONNECT></span></td></tr>
<tr><td>
	<div class=bluetabs id="<span id='#19'>Host</span>">
	<table width=400 border=0 cellspacing=1 cellpadding=0 class=mtab>
		<tr valign="top"><td nowrap><span id='#0'>Host Name</span>:</td><td class=blue><% SUM_HOST_NAME %></td><td nowrap><span id='#3'>SNMP Trap Port</span>:</td><td class=blue><% SUM_TRAP_PORT %></td></tr>
		<tr valign="top"><td nowrap><span id='#1'>OS Version</span>:</td><td class=blue colspan=3><% SUM_OS_DESC %></td></tr>
	</table>
	</div>
	</td>
	<td>
	<div class=tabs id="<span id='#14'>Shutdown</span>">
	<table width=200 border=0 cellspacing=1 cellpadding=10  class=mtab>
		<tr><td nowrap><span id='#5'>Shutdown Type</span>:</td><td class=blue><span id='SUM_SHUT_TYPE'></span></td></tr>
		<tr><td nowrap><span id='#4'>OS Countdown</span>:</td><td id='SUM_COUNTDOWN_CLASS'><span id='SUM_OS_COUNTDOWN'></span></td></tr>
	</table>
	</div>
	</td>
</tr>
<tr><td colspan=2>
	<div class=bluetabs id="<span id='#6'>SNMP Trap Source IP List</span>">
		<span id='SUM_SOURCE_LIST'></span>
	</div>
	<div class=bluetabs id="<span id='#10'>Last 5 Event Log</span>">
		<span id='SUM_SLOG_LIST'></span>
	</div>
	</td>
</tr>
<tr><td colspan=2 align=right><img src="/images/event_log.gif"> <small><a href='/en/hist_log.asp' class="nav"><span id="#18">Event Log</span>...</a></small></td></tr>
</table>
</form>
<!-- Form end -->
<div id=copyright style="margin-top:-12px;"></div>
		</td>
	</tr>
</table>
<script language="javascript"><!--
var usr_level=<% LIN_LOGIN_LEVEL %>;
loadwebstyle("Monitor","Information","Summary")
//--></script>
</body>
</html>